Name:           peek
Version:        1.3.1
Release:        1%{?dist}
Summary:        Animated GIF screen recorder with an easy to use interface
# The entire source code is GPLv3+ except:
# MIT:          print-description.py
License:        GPLv3+ and MIT
URL:            https://github.com/phw/peek
Source0:        https://github.com/phw/peek/archive/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gzip
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
#BuildRequires:  txt2man
BuildRequires:  vala
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  keybinder3-devel
Requires:       dbus
Requires:       gstreamer1-plugins-good >= 1.2
Requires:       hicolor-icon-theme
Requires:       ffmpeg >= 3
Requires:       gstreamer1-plugins-ugly
# For future (Rust package)
# Suggests:       gifski


%description
Peek makes it easy to create short screencasts of a screen area. It was built
for the specific use case of recording screen areas, e.g. for easily showing UI
features of your own apps or for showing a bug in bug reports. With Peek, you
simply place the Peek window over the area you want to record and
press "Record". Peek is optimized for generating animated GIFs, but you can also
directly record to WebM or MP4 if you prefer.
Peek is not a general purpose screencast app with extended features but rather
focuses on the single task of creating small, silent screencasts of an area of
the screen for creating GIF animations or silent WebM or MP4 videos.
Peek runs on X11 or inside a GNOME Shell Wayland session using XWayland.
Support for more Wayland desktops might be added in the future (see FAQs below).


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%cmake -DBUILD_TESTS=OFF .
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
%find_lang %{name}


%files -f %{name}.lang
%doc README.md AUTHORS
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/com.uploadedlobster.%{name}.desktop
%{_datadir}/dbus-1/services/com.uploadedlobster.%{name}.service
%{_datadir}/glib-2.0/schemas/com.uploadedlobster.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.uploadedlobster.%{name}*.png
#%{_datadir}/man/man1/%{name}.1.*
%{_datadir}/metainfo/com.uploadedlobster.%{name}.appdata.xml


%changelog
